import { shortcut } from '@core/core';
import { BubbleCombo, BubblePopupView, IconButton } from '@fui/core';

@shortcut()
export class TipsCombo extends BI.Widget {
    public static xtype = 'dec.dcm.tips.combo';

    public props: BubblePopupView['props'] & IconButton['props'] = {
        trigger: 'hover',
        direction: 'top'
    };

    private bubbleCombo: BubbleCombo;

    private bubbleComboPopup: BubblePopupView;

    public render() {
        const { direction, trigger, el } = this.options;

        return {
            type: BI.BubbleCombo.xtype,
            trigger,
            direction,
            el: {
                type: BI.IconButton.xtype,
                cls: "detail-font",
            },
            popup: {
                type: BI.BubblePopupView.xtype,
                ref: (_ref: BubblePopupView) => {
                    this.bubbleComboPopup = _ref;
                },
                el,
            },
            listeners: [],
            ref: (_ref: BubbleCombo) => {
                this.bubbleCombo = _ref;
            }
        }
    }
}